# PlayApplicationBinarySpec

API Documentation: | `PlayApplicationBinarySpec`

Note: This class is incubating and may change in a future version of Gradle.

Represents a binary artifact that is the result of building a Play application software component.

### Properties

Property | Description
`assets` | Incubating A buildable object representing the public assets that will be included in the assets jar file.
`assetsJarFile` | Incubating The assets jar file produced for this binary.
`classes` | Incubating A buildable object representing the class files and resources that will be included in the application jar file.
`jarFile` | Incubating The application jar file produced for this binary.
`targetPlatform` | Incubating The PlayPlatform this binary is built for.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `PublicAssets` `assets` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

A buildable object representing the public assets that will be included in the assets jar file.

#### `File` `assetsJarFile` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The assets jar file produced for this binary.

#### `JvmClasses` `classes` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

A buildable object representing the class files and resources that will be included in the application jar file.

#### `File` `jarFile` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The application jar file produced for this binary.

#### `PlayPlatform` `targetPlatform` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The PlayPlatform this binary is built for.